<!doctype html>
<html class="no-js" lang="">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="x-ua-compatible" content="ie=edge">
        <title>frontend documentation</title>
        <meta name="description" content="">
        <meta name="viewport" content="width=device-width, initial-scale=1">

        <link rel="icon" type="image/x-icon" href="../images/favicon.ico">
	      <link rel="stylesheet" href="../styles/style.css">
    </head>
    <body>

        <div class="navbar navbar-default navbar-fixed-top visible-xs">
            <a href="../" class="navbar-brand">frontend documentation</a>
            <button type="button" class="btn btn-default btn-menu ion-ios-menu" id="btn-menu"></button>
        </div>

        <div class="xs-menu menu" id="mobile-menu">
                <div id="book-search-input" role="search"><input type="text" placeholder="Type to search"></div>            <compodoc-menu></compodoc-menu>
        </div>

        <div class="container-fluid main">
           <div class="row main">
               <div class="hidden-xs menu">
                   <compodoc-menu mode="normal"></compodoc-menu>
               </div>
               <!-- START CONTENT -->
               <div class="content component">
                   <div class="content-data">




<ol class="breadcrumb">
  <li>Components</li>
  <li>VoteWorkflowStepComponent</li>
</ol>

<ul class="nav nav-tabs" role="tablist">
        <li class="active">
            <a href="#info" role="tab" id="info-tab" data-toggle="tab" data-link="info">Info</a>
        </li>
        <li >
            <a href="#source" role="tab" id="source-tab" data-toggle="tab" data-link="source">Source</a>
        </li>
        <li >
            <a href="#templateData" role="tab" id="templateData-tab" data-toggle="tab" data-link="template">Template</a>
        </li>
        <li >
            <a href="#styleData" role="tab" id="styleData-tab" data-toggle="tab" data-link="style">Styles</a>
        </li>
        <li >
            <a href="#tree" role="tab" id="tree-tab" data-toggle="tab" data-link="dom-tree">DOM Tree</a>
        </li>
</ul>

<div class="tab-content">
    <div class="tab-pane fade active in" id="c-info"><p class="comment">
    <h3>File</h3>
</p>
<p class="comment">
    <code>src/app/operation/vote-workflow-display/vote-workflow-step.component.ts</code>
</p>



    <p class="comment">
        <h3>Implements</h3>
    </p>
    <p class="comment">
                <code><a href="https://angular.io/api/core/OnInit" target="_blank" >OnInit</a></code>
    </p>


<section>
    <h3>Metadata</h3>
    <table class="table table-sm table-hover">
        <tbody>











            <tr>
                <td class="col-md-3">selector</td>
                <td class="col-md-9"><code>li[vote-workflow-step]</code></td>
            </tr>

            <tr>
                <td class="col-md-3">styleUrls</td>
                <td class="col-md-9"><code>./vote-workflow-view.component.scss</code></td>
            </tr>



            <tr>
                <td class="col-md-3">templateUrl</td>
                <td class="col-md-9"><code>./vote-workflow-step.component.html</code></td>
            </tr>








        </tbody>
    </table>
</section>

    <section>
    <h3 id="index">Index</h3>
    <table class="table table-sm table-bordered index-table">
        <tbody>

                <tr>
                    <td class="col-md-4">
                        <h6><b>Methods</b></h6>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <ul class="index-list">
                            <li>
                                <a href="#isStatusDone">isStatusDone</a>
                            </li>
                            <li>
                                <a href="#ngOnInit">ngOnInit</a>
                            </li>
                        </ul>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <h6><b>Inputs</b></h6>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <ul class="index-list">
                            <li>
                                <a href="#step">step</a>
                            </li>
                            <li>
                                <a href="#stepNumber">stepNumber</a>
                            </li>
                            <li>
                                <a href="#stepStatus">stepStatus</a>
                            </li>
                        </ul>
                    </td>
                </tr>




        </tbody>
    </table>
</section>


    <section>
    <h3 id="inputs">Inputs</h3>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-2">
                        <a name="step"></a>
                        <code>step</code>
                    </td>
                    <td class="col-md-10">
                            <p>
                            <em>Type :</em>    <code><a href="../miscellaneous/enumerations.html#Step" target="_self" >Step</a></code>

                            </p>
                    </td>
                </tr>
                        <tr>
                            <td class="col-md-2" colspan="2">
                                    <div class="io-line">Defined in <a href="" data-line="41" class="link-to-prism">src/app/operation/vote-workflow-display/vote-workflow-step.component.ts:41</a></div>
                            </td>
                        </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-2">
                        <a name="stepNumber"></a>
                        <code>stepNumber</code>
                    </td>
                    <td class="col-md-10">
                            <p>
                            <em>Type :</em>    <code><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/number" target="_blank" >number</a></code>

                            </p>
                    </td>
                </tr>
                        <tr>
                            <td class="col-md-2" colspan="2">
                                    <div class="io-line">Defined in <a href="" data-line="38" class="link-to-prism">src/app/operation/vote-workflow-display/vote-workflow-step.component.ts:38</a></div>
                            </td>
                        </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-2">
                        <a name="stepStatus"></a>
                        <code>stepStatus</code>
                    </td>
                    <td class="col-md-10">
                            <p>
                            <em>Type :</em>    <code><a href="../miscellaneous/enumerations.html#StepStatus" target="_self" >StepStatus</a></code>

                            </p>
                    </td>
                </tr>
                        <tr>
                            <td class="col-md-2" colspan="2">
                                    <div class="io-line">Defined in <a href="" data-line="35" class="link-to-prism">src/app/operation/vote-workflow-display/vote-workflow-step.component.ts:35</a></div>
                            </td>
                        </tr>
            </tbody>
        </table>
</section>



    <section>
    
        <h3 id="methods">
            Methods
        </h3>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="isStatusDone"></a>
                        <span class="name">
                            <b>
                            isStatusDone
                            </b>
                            <a href="#isStatusDone"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
<code>isStatusDone()</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="46" class="link-to-prism">src/app/operation/vote-workflow-display/vote-workflow-step.component.ts:46</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">

                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/boolean" target="_blank" >boolean</a></code>

                            </div>
                    </td>
                </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="ngOnInit"></a>
                        <span class="name">
                            <b>
                            ngOnInit
                            </b>
                            <a href="#ngOnInit"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
<code>ngOnInit()</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="43" class="link-to-prism">src/app/operation/vote-workflow-display/vote-workflow-step.component.ts:43</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">

                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                            </div>
                    </td>
                </tr>
            </tbody>
        </table>
</section>


</div>


    <div class="tab-pane fade  tab-source-code" id="c-source">
        <pre class="line-numbers compodoc-sourcecode"><code class="language-typescript">import { Component, Input, OnInit } from &#x27;@angular/core&#x27;;
import { Step, StepStatus } from &#x27;./vote-workflow-view.component&#x27;;

@Component({
  selector: &#x27;li[vote-workflow-step]&#x27;,
  templateUrl: &#x27;./vote-workflow-step.component.html&#x27;,
  styleUrls: [&#x27;./vote-workflow-view.component.scss&#x27;]
})
export class VoteWorkflowStepComponent implements OnInit {

  @Input()
  stepStatus: StepStatus;

  @Input()
  stepNumber: number;

  @Input()
  step: Step;

  ngOnInit() {
  }

  isStatusDone(): boolean {
    return this.stepStatus &#x3D;&#x3D;&#x3D; StepStatus.done;
  }
}
</code></pre>
    </div>

    <div class="tab-pane fade " id="c-templateData">
        <pre class="line-numbers"><code class="language-html">&lt;!--~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
  ~ /*                                                                                            ~
  ~  - #%L                                                                                        ~
  ~  - CHVote-Receiver                                                                            ~
  ~  - %%                                                                                         ~
  ~  - Copyright (C) 2016 - 2018 République et Canton de Genève                                   ~
  ~  - %%                                                                                         ~
  ~  - This program is free software: you can redistribute it and/or modify                       ~
  ~  - it under the terms of the GNU Affero General Public License as published by                ~
  ~  - the Free Software Foundation, either version 3 of the License, or                          ~
  ~  - (at your option) any later version.                                                        ~
  ~  -                                                                                            ~
  ~  - This program is distributed in the hope that it will be useful,                            ~
  ~  - but WITHOUT ANY WARRANTY; without even the implied warranty of                             ~
  ~  - MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the                               ~
  ~  - GNU General Public License for more details.                                               ~
  ~  -                                                                                            ~
  ~  - You should have received a copy of the GNU Affero General Public License                   ~
  ~  - along with this program. If not, see &lt;http://www.gnu.org/licenses/&gt;.                       ~
  ~  - #L%                                                                                        ~
  ~  */                                                                                           ~
  ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~--&gt;

&lt;div class&#x3D;&quot;accessibility-text&quot;&gt;
  {{ &#x27;global.progress.accessibility.step-&#x27; + stepStatus | translate:{&#x27;stepNumber&#x27;:stepNumber} }}
  {{ step + &#x27;.step-name&#x27; | translate }}
&lt;/div&gt;
&lt;div class&#x3D;&quot;fa-layers fa-fw&quot;&gt;
  &lt;i class&#x3D;&quot;step-number fas fa-square&quot; data-fa-transform&#x3D;&quot;grow-30&quot;&gt;&lt;/i&gt;
  &lt;span *ngIf&#x3D;&quot;isStatusDone()&quot; class&#x3D;&quot;fas fa-check fa-inverse&quot; data-fa-transform&#x3D;&quot;grow-8&quot;&gt;&lt;/span&gt;
  &lt;span *ngIf&#x3D;&quot;!isStatusDone()&quot; class&#x3D;&quot;fa-layers-text fa-inverse&quot; data-fa-transform&#x3D;&quot;grow-8&quot;&gt;{{stepNumber}}&lt;/span&gt;
&lt;/div&gt;
&lt;div class&#x3D;&quot;step-label&quot; aria-hidden&#x3D;&quot;true&quot; [innerHTML]&#x3D;&quot;step + &#x27;.step-name&#x27; | translate&quot;&gt;
&lt;/div&gt;

</code></pre>
    </div>

    <div class="tab-pane fade " id="c-styleData">
                <p class="comment">
                    <code>./vote-workflow-view.component.scss</code>
                </p>
                <pre class="line-numbers"><code class="language-scss">/*!*************************************************************************************************
 *                                                                                                *
 *  - #%L                                                                                         *
 *  - CHVote-Receiver                                                                             *
 *  - %%                                                                                          *
 *  - Copyright (C) 2016 - 2018 République et Canton de Genève                                    *
 *  - %%                                                                                          *
 *  - This program is free software: you can redistribute it and/or modify                        *
 *  - it under the terms of the GNU Affero General Public License as published by                 *
 *  - the Free Software Foundation, either version 3 of the License, or                           *
 *  - (at your option) any later version.                                                         *
 *  -                                                                                             *
 *  - This program is distributed in the hope that it will be useful,                             *
 *  - but WITHOUT ANY WARRANTY; without even the implied warranty of                              *
 *  - MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the                                *
 *  - GNU General Public License for more details.                                                *
 *  -                                                                                             *
 *  - You should have received a copy of the GNU Affero General Public License                    *
 *  - along with this program. If not, see &lt;http://www.gnu.org/licenses/&gt;.                        *
 *  - #L%                                                                                         *
 *                                                                                                *
 **************************************************************************************************/

/* --- progress tracker --- */
.progress-tracker {
  position: relative;
  margin-bottom: 10px;
}

.progress-tracker-line {
  position: absolute;
  width: 100%;
  display: table;
  z-index: 1;
}

.progress-tracker-line-content {
  display: table-row;
  width: 100%;
}

.progress-tracker-line-end {
  display: table-cell;
}

.progress-tracker-line-main {
  border-bottom: 3px rgb(204, 204, 204) solid;
  height: 14px;
  display: table-cell;
}

ol.progress-tracker-content {
  display: table;
  margin: 0 !important;
  padding: 5px 0 0 0 !important;
  table-layout: fixed;
  width: 100%;
  position: relative;
  z-index: 2;
}

ol.progress-tracker-content li {
  display: table-cell;
  text-align: center;
  word-wrap: break-word;
}

.step-label {
  font-size: 13px;
  margin-top: 10px;
}

.progress-tracker[data-progress-tracker-steps&#x3D;&quot;0&quot;] {
  display: none;
}

.progress-tracker[data-progress-tracker-steps&#x3D;&quot;2&quot;] li {
  width: 49%;
}

.progress-tracker[data-progress-tracker-steps&#x3D;&quot;3&quot;] li {
  width: 33%;
}

.progress-tracker[data-progress-tracker-steps&#x3D;&quot;4&quot;] li {
  width: 24%;
}

.progress-tracker[data-progress-tracker-steps&#x3D;&quot;5&quot;] li {
  width: 19%;
}

.progress-tracker[data-progress-tracker-steps&#x3D;&quot;6&quot;] li {
  width: 16%;
}

.progress-tracker[data-progress-tracker-steps&#x3D;&quot;7&quot;] li {
  width: 14%;
}

.progress-tracker[data-progress-tracker-steps&#x3D;&quot;8&quot;] li {
  width: 12%;
}

.progress-tracker[data-progress-tracker-steps&#x3D;&quot;9&quot;] li {
  width: 11%;
}

.progress-tracker[data-progress-tracker-steps&#x3D;&quot;2&quot;] .progress-tracker-line-end {
  width: 25%;
}

.progress-tracker[data-progress-tracker-steps&#x3D;&quot;3&quot;] .progress-tracker-line-end {
  width: 16%;
}

.progress-tracker[data-progress-tracker-steps&#x3D;&quot;4&quot;] .progress-tracker-line-end {
  width: 12%;
}

.progress-tracker[data-progress-tracker-steps&#x3D;&quot;5&quot;] .progress-tracker-line-end {
  width: 10%;
}

.progress-tracker[data-progress-tracker-steps&#x3D;&quot;6&quot;] .progress-tracker-line-end {
  width: 8%;
}

.progress-tracker[data-progress-tracker-steps&#x3D;&quot;7&quot;] .progress-tracker-line-end {
  width: 7%;
}

.progress-tracker[data-progress-tracker-steps&#x3D;&quot;8&quot;] .progress-tracker-line-end {
  width: 6%;
}

.progress-tracker[data-progress-tracker-steps&#x3D;&quot;9&quot;] .progress-tracker-line-end {
  width: 6%;
}

.progress-tracker[data-progress-tracker-steps&#x3D;&quot;2&quot;] .progress-tracker-line-main {
  width: 50%;
}

.progress-tracker[data-progress-tracker-steps&#x3D;&quot;3&quot;] .progress-tracker-line-main {
  width: 68%;
}

.progress-tracker[data-progress-tracker-steps&#x3D;&quot;4&quot;] .progress-tracker-line-main {
  width: 76%;
}

.progress-tracker[data-progress-tracker-steps&#x3D;&quot;5&quot;] .progress-tracker-line-main {
  width: 80%;
}

.progress-tracker[data-progress-tracker-steps&#x3D;&quot;6&quot;] .progress-tracker-line-main {
  width: 84%;
}

.progress-tracker[data-progress-tracker-steps&#x3D;&quot;7&quot;] .progress-tracker-line-main {
  width: 86%;
}

.progress-tracker[data-progress-tracker-steps&#x3D;&quot;8&quot;] .progress-tracker-line-main {
  width: 88%;
}

.progress-tracker[data-progress-tracker-steps&#x3D;&quot;9&quot;] .progress-tracker-line-main {
  width: 88%;
}
</code></pre>
    </div>

    <div class="tab-pane fade " id="c-tree">
        <div id="tree-container"></div>
        <div class="tree-legend">
            <div class="title">
                <b>Legend</b>
            </div>
            <div>
                <div class="color htmlelement"></div><span>Html element</span>
            </div>
            <div>
                <div class="color component"></div><span>Component</span>
            </div>
            <div>
                <div class="color directive"></div><span>Html element with directive</span>
            </div>
        </div>
    </div>

    
</div>

<script src="../js/libs/vis.min.js"></script>
<script src="../js/libs/htmlparser.js"></script>
<script src="../js/libs/deep-iterator.js"></script>
<script>
        var COMPONENT_TEMPLATE = '<div><!--~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~  ~ /*                                                                                            ~  ~  - #%L                                                                                        ~  ~  - CHVote-Receiver                                                                            ~  ~  - %%                                                                                         ~  ~  - Copyright (C) 2016 - 2018 République et Canton de Genève                                   ~  ~  - %%                                                                                         ~  ~  - This program is free software: you can redistribute it and/or modify                       ~  ~  - it under the terms of the GNU Affero General Public License as published by                ~  ~  - the Free Software Foundation, either version 3 of the License, or                          ~  ~  - (at your option) any later version.                                                        ~  ~  -                                                                                            ~  ~  - This program is distributed in the hope that it will be useful,                            ~  ~  - but WITHOUT ANY WARRANTY; without even the implied warranty of                             ~  ~  - MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the                               ~  ~  - GNU General Public License for more details.                                               ~  ~  -                                                                                            ~  ~  - You should have received a copy of the GNU Affero General Public License                   ~  ~  - along with this program. If not, see <http://www.gnu.org/licenses/>.                       ~  ~  - #L%                                                                                        ~  ~  */                                                                                           ~  ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~--><div class="accessibility-text">  {{ \'global.progress.accessibility.step-\' + stepStatus | translate:{\'stepNumber\':stepNumber} }}  {{ step + \'.step-name\' | translate }}</div><div class="fa-layers fa-fw">  <i class="step-number fas fa-square" data-fa-transform="grow-30"></i>  <span *ngIf="isStatusDone()" class="fas fa-check fa-inverse" data-fa-transform="grow-8"></span>  <span *ngIf="!isStatusDone()" class="fa-layers-text fa-inverse" data-fa-transform="grow-8">{{stepNumber}}</span></div><div class="step-label" aria-hidden="true" [innerHTML]="step + \'.step-name\' | translate"></div></div>'
    var COMPONENTS = [{'name': 'ActionsOnBallotsComponent', 'selector': 'actions-on-ballots'},{'name': 'AppComponent', 'selector': 'app-root'},{'name': 'BallotsListComponent', 'selector': 'app-ballots-list'},{'name': 'BusinessErrorDialogComponent', 'selector': 'app-business-error-dialog'},{'name': 'ChvoteBallotHeaderComponent', 'selector': 'chvote-ballot-header'},{'name': 'ChvoteCheckboxComponent', 'selector': 'chvote-checkbox'},{'name': 'ChvoteCoatOfArmsComponent', 'selector': 'chvote-coat-of-arms'},{'name': 'ChvoteDialogComponent', 'selector': 'chvote-dialog'},{'name': 'ChvoteDocumentsComponent', 'selector': 'chvote-documents'},{'name': 'ChvoteExpansionPanelComponent', 'selector': 'chvote-expansion-panel'},{'name': 'ChvoteHelperComponent', 'selector': 'chvote-helper'},{'name': 'ChvoteSubjectCardComponent', 'selector': '[chvote-subject-card]'},{'name': 'ChvoteVariantSubjectCardComponent', 'selector': '[chvote-variant-subject-card]'},{'name': 'ChvoteVotationBallotComponent', 'selector': 'chvote-votation-ballot'},{'name': 'ControlComponent', 'selector': 'control, [control]'},{'name': 'DefaultErrorsComponent', 'selector': 'default-errors'},{'name': 'ErrorMessageComponent', 'selector': 'error-message-component'},{'name': 'FinalizationComponent', 'selector': 'finalization, [finalization]'},{'name': 'FooterDocumentsComponent', 'selector': 'footer-documents'},{'name': 'FooterZoneComponent', 'selector': 'footer-zone'},{'name': 'GroupedVotationCardComponent', 'selector': '[grouped-votation-card]'},{'name': 'HeaderZoneComponent', 'selector': 'header-zone'},{'name': 'IdentificationComponent', 'selector': ''},{'name': 'LegalInformationComponent', 'selector': ''},{'name': 'LocalizedLabelComponent', 'selector': '[localized-label]'},{'name': 'OperationComponent', 'selector': ''},{'name': 'SideZoneComponent', 'selector': 'side-zone'},{'name': 'SideZoneSectionComponent', 'selector': 'side-zone-section'},{'name': 'SingleBallotCardComponent', 'selector': '[single-ballot-card]'},{'name': 'SummaryComponent', 'selector': 'summary, [summary]'},{'name': 'TechnicalErrorDialogComponent', 'selector': 'app-technical-error-dialog'},{'name': 'VotationBallotComponent', 'selector': 'votation-ballot, [votation-ballot]'},{'name': 'VotationCardComponent', 'selector': '[votation-card]'},{'name': 'VoteWorkflowStepComponent', 'selector': 'li[vote-workflow-step]'},{'name': 'VoteWorkflowViewComponent', 'selector': 'vote-workflow-view'}];
    var DIRECTIVES = [];
    var ACTUAL_COMPONENT = {'name': 'VoteWorkflowStepComponent'};
</script>
<script src="../js/tree.js"></script>














                   </div><div class="search-results">
    <div class="has-results">
        <h1 class="search-results-title"><span class='search-results-count'></span> result-matching "<span class='search-query'></span>"</h1>
        <ul class="search-results-list"></ul>
    </div>
    <div class="no-results">
        <h1 class="search-results-title">No results matching "<span class='search-query'></span>"</h1>
    </div>
</div>
</div>
               <!-- END CONTENT -->
           </div>
       </div>

       <script>
            var COMPODOC_CURRENT_PAGE_DEPTH = 1;
            var COMPODOC_CURRENT_PAGE_CONTEXT = 'component';
            var COMPODOC_CURRENT_PAGE_URL = 'VoteWorkflowStepComponent.html';
       </script>

       <script src="../js/libs/custom-elements.min.js"></script>
       <script src="../js/libs/lit-html.js"></script>
       <!-- Required to polyfill modern browsers as code is ES5 for IE... -->
       <script src="../js/libs/custom-elements-es5-adapter.js" charset="utf-8" defer></script>
       <script src="../js/menu-wc.js" defer></script>

       <script src="../js/libs/bootstrap-native.js"></script>

       <script src="../js/libs/es6-shim.min.js"></script>
       <script src="../js/libs/EventDispatcher.js"></script>
       <script src="../js/libs/promise.min.js"></script>
       <script src="../js/libs/zepto.min.js"></script>

       <script src="../js/compodoc.js"></script>

       <script src="../js/tabs.js"></script>
       <script src="../js/menu.js"></script>
       <script src="../js/libs/clipboard.min.js"></script>
       <script src="../js/libs/prism.js"></script>
       <script src="../js/sourceCode.js"></script>
          <script src="../js/search/search.js"></script>
          <script src="../js/search/lunr.min.js"></script>
          <script src="../js/search/search-lunr.js"></script>
          <script src="../js/search/search_index.js"></script>
       <script src="../js/lazy-load-graphs.js"></script>


    </body>
</html>
